#### Description:

This function returns a pointer to a new Region which corresponds to supplied Region described by some other specified coordinate system. A Mapping is supplied which transforms positions between the old and new coordinate systems. The new Region may not be of the same class as the original region.

#### Synopsis

AstRegion ∗astMapRegion( AstRegion ∗this, AstMapping ∗map, AstFrame ∗frame )

#### Parameters:

##### this

Pointer to the Region.

##### map

Pointer to a Mapping which transforms positions from the coordinate system represented by the supplied Region to the coordinate system specified by `"` frame`"` . The supplied Mapping should define both forward and inverse transformations, and these transformations should form a genuine inverse pair. That is, transforming a position using the forward transformation and then using the inverse transformation should produce the original input position. Some Mapping classes (such as PermMap, MathMap, SphMap) can result in Mappings for which this is not true.

##### frame

Pointer to a Frame describing the coordinate system in which the new Region is required.

#### Returned Value

##### astMapRegion()

A pointer to a new Region. This Region will represent the area within the coordinate system specified by `"` frame`"` which corresponds to the supplied Region.

#### Notes:

- The uncertainty associated with the supplied Region is modified using the supplied Mapping.

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory